package com.usky.fire.service;

import com.usky.common.core.bean.CommonPage;
import com.usky.fire.domain.DataJinganAnalysis;
import com.usky.common.mybatis.core.CrudService;

/**
 * <p>
 * 静安电子督察单数据 服务类
 * </p>
 *
 * @author han
 * @since 2024-03-07
 */
public interface DataJinganAnalysisService extends CrudService<DataJinganAnalysis> {

    /**
     * 电子督察单管理-电子督察单列表查询
     *
     * @param pageNum      当前页
     * @param pageSize     每页条数
     * @return
     */
    CommonPage<DataJinganAnalysis> analysisList(Integer pageNum, Integer pageSize);

    void update(DataJinganAnalysis dataJinganAnalysis);

}
